SIGNBIT(3)

NAME
signbit - test sign of a real floating point number

SYNOPSIS
#include <math.h>

int signbit (X);

Compile with -std=c99; link with -lm.

DESCRIPTION
`signbit' is a generic macro which can work on all real floating-point types. It returns a non-zero value if the value of X has its sign bit set.

This is not the same as `x < 0.0', because IEEE 754 floating point allows zero to be signed. The comparison `-0.0 < 0.0' is false, but `signbit (-0.0)' will return a non-zero value.

CONFORMING TO
C99. This function is defined in IEC 559 (and the appendix with recommended functions in IEEE 754/IEEE 854).

SEE ALSO
copysign(3)